<?php

/**
 * @Packge     : DALTECH
 * @Version    : 1.0
 * @Author     : DALTECH
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit();
}

if (class_exists('ReduxFramework')) {
    $daltech404btntext      = daltech_opt('daltech_fof_btn_text');
    $bg_img                = $daltech_opt['daltech_404_bg']['url'];
} else {
    $daltech404btntext      = __(' Back To Home', 'daltech');
    $bg_img                = DALTECH_DIR_ASSIST_URI . 'img/error.jpg';
}


// get header
get_header();
?>

<div class="error-section fix section-padding">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8">
                <div class="error-items text-center">
                    <div class="error-image wow fadeInUp" data-wow-delay=".3s">
                        <img src="<?php echo esc_url($bg_img); ?>" alt="<?php echo bloginfo('name'); ?>">
                    </div>
                    <a href="<?php echo esc_url(home_url('/')); ?>" class="theme-btn wow fadeInUp" data-wow-delay=".5s">
                        <span><?php echo esc_html($daltech404btntext); ?><i class="fas fa-chevron-right"></i></span>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
//footer
get_footer();
