<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit();
}

if (class_exists('ReduxFramework') && defined('ELEMENTOR_VERSION')) {
    if (is_page() || is_page_template('template-builder.php')) {
        $daltech_post_id = get_the_ID();

        // Get the page settings manager
        $daltech_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers('page');

        // Get the settings model for current post
        $daltech_page_settings_model = $daltech_page_settings_manager->get_model($daltech_post_id);

        // Retrieve the color we added before
        $daltech_header_style = $daltech_page_settings_model->get_settings('daltech_header_style');
        $daltech_header_builder_option = $daltech_page_settings_model->get_settings('daltech_header_builder_option');

        if ($daltech_header_style == 'header_builder') {

            if (!empty($daltech_header_builder_option)) {
                $daltechheader = get_post($daltech_header_builder_option);
                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display($daltechheader->ID);
            }
        } else {
            // global options
            $daltech_header_builder_trigger = daltech_opt('daltech_header_options');
            if ($daltech_header_builder_trigger == '2') {
                $daltech_global_header_select = get_post(daltech_opt('daltech_header_select_options'));
                $header_post = get_post($daltech_global_header_select);
                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display($header_post->ID);
            } else {
                // wordpress Header
                daltech_global_header_option();
            }
        }
    } else {
        $daltech_header_options = daltech_opt('daltech_header_options');
        if ($daltech_header_options == '1') {
            daltech_global_header_option();
        } else {
            $daltech_header_select_options = daltech_opt('daltech_header_select_options');
            $daltechheader = get_post($daltech_header_select_options);
            echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display($daltechheader->ID);
        }
    }
} else {
    daltech_global_header_option();
}
