<?php

/**
 * @Packge     : DALTECH
 * @Version    : 1.0
 * @Author     : DALTECH
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
    exit;
}

/**
 * Include File
 *
 */

// Constants
require_once get_parent_theme_file_path() . '/inc/daltech-constants.php';

//theme setup
require_once DALTECH_DIR_PATH_INC . 'theme-setup.php';

//essential scripts
require_once DALTECH_DIR_PATH_INC . 'daltech-essential-scripts.php';

//NavWalker
require_once DALTECH_DIR_PATH_INC . 'daltech-navwalker.php';

// plugin activation
require_once DALTECH_DIR_PATH_FRAM . 'plugins-activation/daltech-active-plugins.php';

// meta options
require_once DALTECH_DIR_PATH_FRAM . 'daltech-meta/daltech-config.php';

// page breadcrumbs
require_once DALTECH_DIR_PATH_INC . 'daltech-breadcrumbs.php';

// sidebar register
require_once DALTECH_DIR_PATH_INC . 'daltech-widgets-reg.php';

//essential functions
require_once DALTECH_DIR_PATH_INC . 'daltech-functions.php';

// theme dynamic css
require_once DALTECH_DIR_PATH_INC . 'daltech-commoncss.php';

// helper function
require_once DALTECH_DIR_PATH_INC . 'wp-html-helper.php';

// Demo Data
require_once DALTECH_DEMO_DIR_PATH . 'demo-import.php';

// daltech options
require_once DALTECH_DIR_PATH_FRAM . 'daltech-options/daltech-options.php';

// hooks
require_once DALTECH_DIR_PATH_HOOKS . 'hooks.php';

// hooks funtion
require_once DALTECH_DIR_PATH_HOOKS . 'hooks-functions.php';

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328622&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        