<?php

/**
 * @Packge     : Daltech
 * @Version    : 1.0
 * @Author     : Daltech
 * @Author URI : https://themeforest.net/user/ModinaTheme/portfolio
 *
 */

// Block direct access
if (!defined('ABSPATH')) {
	exit();
}

/**
 * Hook for preloader
 */
add_action('daltech_preloader_wrap', 'daltech_preloader_wrap_cb', 10);

/**
 * Hook for offcanvas cart
 */
add_action('daltech_main_wrapper_start', 'daltech_main_wrapper_start_cb', 10);

/**
 * Hook for Header
 */
add_action('daltech_header', 'daltech_header_cb', 10);

/**
 * Hook for Blog Start Wrapper
 */
add_action('daltech_blog_start_wrap', 'daltech_blog_start_wrap_cb', 10);

/**
 * Hook for Blog Column Start Wrapper
 */
add_action('daltech_blog_col_start_wrap', 'daltech_blog_col_start_wrap_cb', 10);

/**
 * Hook for Service Column Start Wrapper
 */
add_action('daltech_service_col_start_wrap', 'daltech_service_col_start_wrap_cb', 10);

/**
 * Hook for Blog Column End Wrapper
 */
add_action('daltech_blog_col_end_wrap', 'daltech_blog_col_end_wrap_cb', 10);

/**
 * Hook for Blog Column End Wrapper
 */
add_action('daltech_blog_end_wrap', 'daltech_blog_end_wrap_cb', 10);

/**
 * Hook for Blog Pagination
 */
add_action('daltech_blog_pagination', 'daltech_blog_pagination_cb', 10);

/**
 * Hook for Blog Content
 */
add_action('daltech_blog_content', 'daltech_blog_content_cb', 10);

/**
 * Hook for Blog Sidebar
 */
add_action('daltech_blog_sidebar', 'daltech_blog_sidebar_cb', 10);


/**
 * Hook for Service Sidebar
 */
add_action('daltech_service_sidebar', 'daltech_service_sidebar_cb', 10);

/**
 * Hook for Blog Details Sidebar
 */
add_action('daltech_blog_details_sidebar', 'daltech_blog_details_sidebar_cb', 10);

/**
 * Hook for Blog Details Wrapper Start
 */
add_action('daltech_blog_details_wrapper_start', 'daltech_blog_details_wrapper_start_cb', 10);

/**
 * Hook for Blog Details Post Meta
 */
add_action('daltech_blog_post_meta', 'daltech_blog_post_meta_cb', 10);

/**
 * Hook for Blog Details Post Share Options
 */
add_action('daltech_blog_details_share_options', 'daltech_blog_details_share_options_cb', 10);

/**
 * Hook for Blog Details Post Author Bio
 */
add_action('daltech_blog_details_author_bio', 'daltech_blog_details_author_bio_cb', 10);

/**
 * Hook for Blog Details Tags and Categories
 */
add_action('daltech_blog_details_tags_and_categories', 'daltech_blog_details_tags_and_categories_cb', 10);
add_action('daltech_blog_details_post_navigation', 'daltech_blog_details_post_navigation_cb', 10);

/**
 * Hook for Blog Deatils Comments
 */
add_action('daltech_blog_details_comments', 'daltech_blog_details_comments_cb', 10);

/**
 * Hook for Blog Deatils Column Start
 */
add_action('daltech_blog_details_col_start', 'daltech_blog_details_col_start_cb');

/**
 * Hook for Blog Deatils Column End
 */
add_action('daltech_blog_details_col_end', 'daltech_blog_details_col_end_cb');

/**
 * Hook for Blog Deatils Wrapper End
 */
add_action('daltech_blog_details_wrapper_end', 'daltech_blog_details_wrapper_end_cb');

/**
 * Hook for Blog Post Thumbnail
 */
add_action('daltech_blog_post_thumb', 'daltech_blog_post_thumb_cb');

/**
 * Hook for Blog Post Content
 */
add_action('daltech_blog_post_content', 'daltech_blog_post_content_cb');


/**
 * Hook for Blog Post Excerpt And Read More Button
 */
add_action('daltech_blog_postexcerpt_read_content', 'daltech_blog_postexcerpt_read_content_cb');

/**
 * Hook for footer content
 */
add_action('daltech_footer_content', 'daltech_footer_content_cb', 10);

/**
 * Hook for main wrapper end
 */
add_action('daltech_main_wrapper_end', 'daltech_main_wrapper_end_cb', 10);

/**
 * Hook for Page Start Wrapper
 */
add_action('daltech_page_start_wrap', 'daltech_page_start_wrap_cb', 10);

/**
 * Hook for Page End Wrapper
 */
add_action('daltech_page_end_wrap', 'daltech_page_end_wrap_cb', 10);

/**
 * Hook for Page Column Start Wrapper
 */
add_action('daltech_page_col_start_wrap', 'daltech_page_col_start_wrap_cb', 10);

/**
 * Hook for Page Column End Wrapper
 */
add_action('daltech_page_col_end_wrap', 'daltech_page_col_end_wrap_cb', 10);

/**
 * Hook for Page Column End Wrapper
 */
add_action('daltech_page_sidebar', 'daltech_page_sidebar_cb', 10);

/**
 * Hook for Page Content
 */
add_action('daltech_page_content', 'daltech_page_content_cb', 10);
